Last Comment Bug 338955 - Can't unsubscribe from RSS feed (due to unescaped urls).
: Can't unsubscribe from RSS feed (due to unescaped urls).
Status: RESOLVED FIXED
[fixed by bug 705504/bug 709247/bug 7...
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: Trunk
: All All
: P4 major with 5 votes (vote)
: Thunderbird 13.0
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 340913 533863 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 03:59 PDT by Nebu Pookins
Modified: 2015-12-23 06:24 PST (History)
19 users (show)
standard8: wanted‑thunderbird3+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Nebu Pookins 2006-05-23 03:59:31 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3
Build Identifier: Mozilla Thunderbird 1.5.0.2 (20060308)

I have this RSS feed that I can't unsubscribe to. If I right click on my RSS folders and choose "Manage Subscriptions...", locate the feed, and click "Remove", it disappears from that window. I then click on the "X" in the top right corner to close the window. I then right click on the RSS folders and choose "Manage Subscriptions..." again, the feed is there again.

Reproducible: Always

Steps to Reproduce:
See details above.
Actual Results:  
See details above.

Expected Results:  
I expected the feed to actually be removed. Perhaps if there was an "OK" button or something to click to confirm that my changes will be saved, instead of clicking the X, I'd be less confused.
Comment 1 Nebu Pookins 2006-06-03 09:49:07 PDT
I just updated to version 1.5.0.4 (20060516) and the bug is still present. I'm currently subscribed the feed URL is "http://www.gizmodo.com/index.xml" and the name is "(null)". No matter how many times I remove the feed, it always reappears.
Comment 2 Adam Piggott 2006-06-17 10:29:53 PDT
I have the same behaviour using 1.5.0.4 on Windows 2000.

Manage subscriptions->Click on RSS feed->Click Remove.
RSS feed disappears, close window.

Manage subscriptions->RSS feed is back, but "Title" field is missing. Location field is still as before.

If I restart Thunderbird the feed is back with Title/Location fields back to normal.
Comment 3 Ashley Hindmarsh 2006-08-25 04:07:27 PDT
I have had unescaped chars in RSS URLs causing this problem.
e.g. unescaped '|' in URL 'splits' the URL into two feeds, neither
of which will go away unless I delete them AND the RSS folder.

Reproducable:
Enter following URL as RSS feed...
http://www.friday-ad.co.uk/RssID/2508200611194241/Editions/E|Hastings|A,C,B,D,L/SArea/surrounding/Keywords/nipper+double/Web/rssFeeds.rss
Generates 3 'feeds', seeming split on the '|' char.


Repeatable: Every time.
Comment 4 ian 2006-12-15 06:16:40 PST
i can confirm this behavior for thunderbird version 1.5.0.8 (20061203) on AMD64

slashdot recently changed their rss feed url from 
http://slashdot.org/rss/index.rss
to
http://rss.slashdot.org/Slashdot/slashdot

i have tried unsubscribing from the feed via the "manage subscriptions" window.  as a result, the latter of those feed urls appears in my feeds.rdf file, while the former does not.  but every time i close and open the "manage subscriptions" window, both links are listed.

possible causes that i can think of: 
* there are still items in my feeditems.rdf file which correspond to the old feed url
* there is one line in Slashdot.msf that contains both urls: 
<(CAE7=8251)(DADF=261f)(DAE0=c93817)(DADB=452d481b)(CAFC
    =http://slashdot.org/rss/index.rss|http://rss.slashdot.org/Slashdot/slashd\
ot)(DAB4=Wed Oct 11 10:33:29 2006)>

please reply if you know whether manually editing Slashdot.msf (to remove the old feed url) will screw things up.  
Comment 5 Mike Cowperthwaite 2006-12-29 14:54:44 PST
I'm confirming this based on comment 3; that URL still produces the problem.  Comment 1 seems to be a similar situation, but I can't get into that state using the given feed URL.

I suspect comment 4 is a different bug.  I can't reproduce that either, perhaps because there are no items being served now from the old feed.

Ian, if you haven't already fixed this, I would try deleting all the old feed items, compacting the folder, then deleting the .MSF file (or, if you're using 2b1/3a1, using Rebuild Index from the folder's Properties dialog).  I'd like to know if that change allows you then to unsubscribe successfully.  If not, then manually editing feeditems.rdf might be necessary.
Comment 6 Mike Cowperthwaite 2006-12-29 15:36:13 PST
(In reply to comment #5)
> Ian, if you haven't already fixed this, I would try deleting all the old feed
> items, compacting the folder, then deleting the .MSF file (or, if you're using
> 2b1/3a1, using Rebuild Index from the folder's Properties dialog).  I'd like
> to know if that change allows you then to unsubscribe successfully.

Actually, you don't have to; I just checked this.  Rebuild Index in fact doesn't remove the feed info from the , but deleting the MSF and having it rebuild does.  Conversely, if you delete an MSF for a file that *has* a feed, you lose the feed data.
Comment 7 Dmitry Vas'kovskiy 2007-04-17 01:16:21 PDT
I also have similar problem for Thunderbird version 2.0.0.0 (20070326).
Symptoms:
1) I opened "News and blogs" -> "Manage subscriptions"
2) Chose folder with RSS feed I wanted to unsubscribe and expanded it
3) Selected RSS feed and clicked "Remove"
4) Answered "Yes" in the confirmation dialog
5) RSS feed was still presented in the list

Just after I closed "RSS subscriptions" window and opened it again I found feeds to be removed.
Comment 8 Jonathan Pritchard 2007-04-30 17:21:45 PDT
Is this a complete inability to remove/delete/unsubscribe from RSS feeds in Thunderbird? I experienced this behaviour with Thunderbird 1.5.0.x
Comment 9 James Ross 2007-05-11 08:25:40 PDT
I would guess that the Thunderbird 2 issue (comment 7), which I am experiencing and can reproduce 100%, is not the same as the original report in this bug. I've filed bug 380406 for it.
Comment 10 Mike Cowperthwaite 2008-02-17 12:20:18 PST
xref bug 375745, which has been fixed on trunk and for the next TB 2.0.x release.  That problem may address some of the problems reported here.

I confirmed this bug based on comment 3, which provided as an example a feed URL with a very specific issue; that URL is no longer valid, so I can't say whether it still applies.
Comment 11 Susurrus 2008-08-22 11:08:57 PDT
This issue still occurs for me on OS X latest nightly.
Comment 12 Mark Banner (:standard8) 2008-08-26 02:18:48 PDT
Setting wanted, this looks like a simple unescape/escape fix.
Comment 13 wst 2008-10-09 14:16:06 PDT
I can't unsubscribe from RSS feed (feed URL is without special chars - Location: 'http://www.aaaaaa.aa/rss/rss-aaaa.php')

After I remove the feed, then close and open RSS window again, removed feed is in the list again, but without title.
After restarting Thunderbird, title of the removed feed goes back.

The bug is still present in Thunderbird version: 2.0.0.17.

How can I remove feed manually (e.g. from some configuration file) until the problem will be solved?
Comment 14 Brian Rak 2009-12-09 16:11:17 PST
*** Bug 533863 has been marked as a duplicate of this bug. ***
Comment 15 Val 2010-02-10 23:44:54 PST
I am also suffering from this issue. It has been there since TB2 and TB3 still has it.

Whenever I try to delete a RSS subscription,
a) the link is removed, but reappears when I restart TB
b) the link won't go away despite pressing remove several times

The feed is still flooding my inbox, and I would like to get some help.

Thank you all for your dedicated support!
Comment 16 Ted Anderson 2010-08-13 10:03:11 PDT
I am also having this problem on Thunderbird 3.0.6 running Ubuntu.  The RSS URL I am having trouble with has no special characters: http://www.smbc-comics.com/rss.php

In addition to the above mentioned removal attempts, I have tried editing feeds.rdf and feeditems.rdf to remove all mention of this URL.  This also seems to have no effect.

Thanks.
Comment 17 honzag 2010-11-03 09:10:24 PDT
I'm running Thunderbird 3.1.6 on Windows Xp and also without any special characters - simply can't remove a url from my feeds.

(In reply to comment #16)
> I am also having this problem on Thunderbird 3.0.6 running Ubuntu.  The RSS URL
> I am having trouble with has no special characters:
> http://www.smbc-comics.com/rss.php
> 
> In addition to the above mentioned removal attempts, I have tried editing
> feeds.rdf and feeditems.rdf to remove all mention of this URL.  This also seems
> to have no effect.
> 
> Thanks.
Comment 18 B.J. Herbison 2010-11-08 05:06:40 PST
I have some RSS feeds I have been unable to remove. I get the following message in my error console when I try to remove one of them:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER) [nsIRDFDataSource.Unassert]"  nsresult: "0x80004003 (NS_ERROR_INVALID_POINTER)"  location: "JS frame :: chrome://messenger-newsblog/content/utils.js :: deleteFeed :: line 127"  data: no]

I'm currently using Thunderbird 3.1.6 on Windows 7, but the problem isn't new.
Comment 19 Hayo Baan 2011-10-19 23:27:41 PDT
Same here on TBird 7.0.1 Can't believe this bug has been present for so long…

Hope it gets fixed soon though.
Comment 20 alta88 2012-02-15 18:36:54 PST
there are a number of paths to getting the 'unremovable feed' in the Subscribe dialog.  they are fixed by bug 705504/bug 709247/bug 711173.
Comment 21 alta88 2012-02-15 18:39:20 PST
*** Bug 340913 has been marked as a duplicate of this bug. ***
Comment 22 Honza 2012-03-11 13:26:08 PDT
This is quite bad - I'm thinking about complete reinstall of Thunderbird as I can't resolve this...
Comment 23 St0ney 2013-05-30 15:59:10 PDT
Well I "HAD" the same Issue as you guys,
Every time I deleted the feed, and emptied the trash, it would return the next time Thunderbird was launched.

The Steps I took Below Removed the Feed.

a) Close Thunderbird

b) Go To:

C:\Users\XXXX\AppData\Roaming\Thunderbird\Profiles\enlzudmi.default\Mail\Feeds

(XXXX = Your Username.)

c) Once in the Feeds Folder, Delete the Feed there.

It's Now Gone for Good !!

NOTE:
If you Can't Get to this Folder:
You need to Change your Windows Setup to Show Hidden Files and Folders.

Go to Control Panel and click on (Folder Options)
Click View - Click SHOW Hidden Folders and Drives.

Then Follow the Steps Above.

St0ney
Comment 24 bonnybucco 2015-12-23 06:24:25 PST
The above solution from St0ney worked for me because I had the same issue, Every time I tried to deleted the feed, it would reload the next time Thunderbird was launched and I it send me to my main page http://carownerstips.co.uk/

I applied the suggestions and it worked for me.

Note You need to log in before you can comment on or make changes to this bug.